#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : SetupTools.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.CMFCore.utils import getToolByName

def addToListProperty(self, out, propertySheet, property, value):
    """Add the given value to the list in the given property
    """
    current = list(propertySheet.getProperty(property))
    if value not in current:
        current.append(value)
        propertySheet.manage_changeProperties(**{property : current})
 	
        print >> out, "Added %s to %s" % (value, property)


def hideMe(self, types, out):
    """
    """
    portalProperties = getToolByName(self, 'portal_properties')
    navtreeProps = getattr(portalProperties, 'navtree_properties')
    siteProps = getattr(portalProperties, 'site_properties')
    
    for atype in types:
        addToListProperty(self, out, navtreeProps, 'parentMetaTypesNotToQuery', atype)
        addToListProperty(self, out, navtreeProps, 'metaTypesNotToList', atype)
        addToListProperty(self, out, siteProps, 'types_not_searched', atype)


def setupTool(self, id, project):
    """Setup my tool
    """
    
    if hasattr(self, id):
        self.manage_delObjects([id])
    addTool = self.manage_addProduct[project].manage_addTool
    addTool(type = project + 'Tool')


def setupConfiglet(self, configlets):
    """Setup my configlet
    """
    
    configTool = getToolByName(self, 'portal_controlpanel', None)
    if configTool:
        for conf in configlets:
            configTool.registerConfiglet(**conf)
