#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : __init__.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

print 'Product TPArtist (Un Troll dans Paris : Artist) installed'

from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.Archetypes import listTypes
from Products.validation import validation
from Products.Archetypes.public import *
from Products.TPArtist.config import *
from Products.TPArtist.fields import PartialUrlValidator
from Products.TPArtist.fields import DurationValidator

# Register skin directories so they can be added to portal_skins
DirectoryView.registerDirectory('skins', product_globals)
DirectoryView.registerDirectory('skins/TPArtist', product_globals)
DirectoryView.registerDirectory('skins/TPArtistTool', product_globals)
DirectoryView.registerDirectory('skins/TPArtistIcons', product_globals)
DirectoryView.registerDirectory('skins/TPArtistWidgets', product_globals)

# Register my new validator
validation.register(PartialUrlValidator('isPartialUrl'))
validation.register(DurationValidator('isValidDuration'))


def initialize(context):
    """
    Init my product : Un Troll dans Paris - Artist
    """
    import security as perms

    from content import Artist, Album, Track, Review
    from tools   import TPArtistTool
    
    # initialize the content, including types and add permissions
    listOfTypes = listTypes(PROJECTNAME)
    content_types, constructors, ftis = process_types(
        listOfTypes,
        PROJECTNAME)

    tools = (TPArtistTool,)

    allTypes = zip(content_types, constructors)
    for atype, constructor in allTypes:
        kind = "%s: %s" % (PROJECTNAME, atype.archetype_name)
        utils.ContentInit(
            kind,
            content_types      = (atype,),
            permission         = getattr(perms, 'Add%s' % atype.meta_type),
            extra_constructors = (constructor,),
            fti                = ftis,
            ).initialize(context)
            
    utils.ToolInit(
        PROJECTNAME + ' Tool',
        tools              = tools,
        product_name       = PROJECTNAME,
        icon               = 'tool.gif'
        ).initialize(context)
