#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : review.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-03-04
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'


from Acquisition import aq_parent
import string

from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import *
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.utils import getToolByName
from Products.ATContentTypes.content.folder import ATFolder
from Products.TPArtist.schemas import ReviewSchema
from Products.TPArtist.interfaces import IReview


class Review(ATFolder):
    """A musical review"""

   # Configuration of my type
    portal_type = metal_type    = "Review"
    archetype_name              = "Review"
    content_icon                = "discussionitem_icon.gif"
    schema                      = ReviewSchema
    typeDescription             = "Musical review"
    typeDescMsgId               = "at_label_review"
    
    # Contents
    global_allow                = False
    filter_content_types        = True
    allowed_content_types       = ['Review',]

    # Views
    default_view                = 'review_view'
    immediate_view              = 'review_view'
    suppl_views                 = ()

    # Additional properties
    _at_rename_after_creation   = True    # Get me a nice ID !

    # Still mystical for me
    __implements__ = OrderedBaseFolder.__implements__ + \
                     ATFolder.__implements__ + \
                     (IReview,)
    
    # Secure my methods
    security = ClassSecurityInfo()
    
    security.declareProtected('View', 'getLevel')
    def getLevel(self):
        """ """
        return self._getDefaultLevel()


    security.declarePrivate('_getDefaultLevel')
    def _getDefaultLevel(self):
        """
        set default level to post, parent level + 1
        """
        return aq_parent(self).getLevel() + 1


    security.declareProtected('View', 'getNumberOfPostsInside')
    def getNumberOfPostsInside(self):
        """
        Get the number of posts/replies within the post.
        For displaying purpose.
        """
        cat = getToolByName(self, 'portal_catalog')
        post_path = string.join(self.getPhysicalPath(), '/')
        nb = len(cat(path = post_path))
        return nb
    

registerType(Review)
