#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : salbum
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.Archetypes.public import *
from Products.ATContentTypes.content.folder import ATFolder

ReviewSchema = ATFolder.schema.copy() + Schema ((

        IntegerField('mark',
                     required = False,
                     searchable = False,
                     primary = False,
                     vocabulary = range(21),
                     default = 10,
                     widget = SelectionWidget(description = "Give a mark to the album",
                                              description_msgid = "description_review_mark",
                                              label = "Mark",
                                              label_msgid = "label_review_mark",
                                              i18n_domain = "TPArtist")),

        TextField('text',
                  required=True,
                  searchable=True,
                  primary=True,
                  validators = ('isTidyHtmlWithCleanup',),
                  default_output_type = 'text/x-html-safe',
                  widget = RichWidget(description = "Your review's body text",
                                      description_msgid = "description_review_text",
                                      label = "Review",
                                      label_msgid = "label_review_text",
                                      rows = 15,
                                      i18n_domain = "TPArtist")),
        ),
    )
