#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : security.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-03-05
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.CMFCore.permissions import setDefaultRoles

###################
## Artist Rights ##
###################

AddArtist       = 'TPArtist: Add artist' 
EditArtist      = 'TPArtist: Edit artist'
ValidateArtist  = 'TPArtist: Review artist'

setDefaultRoles(AddArtist,      ('Manager', 'Owner',))
setDefaultRoles(EditArtist,     ('Manager', 'Owner',))
setDefaultRoles(ValidateArtist, ('Manager', 'Reviewer'))


##################
## Album Rights ##
##################

AddAlbum       = 'TPArtist: Add album'
EditAlbum      = 'TPArtist: Edit album'
ValidateAlbum  = 'TPArtist: Review album'

setDefaultRoles(AddAlbum,      ('Manager', 'Owner'))
setDefaultRoles(EditAlbum,     ('Manager', 'Owner'))
setDefaultRoles(ValidateAlbum, ('Manager', 'Reviewer'))


##################
## Track Rights ##
##################

AddTrack       = 'TPArtist: Add track'
EditTrack      = 'TPArtist: Edit track'
ValidateTrack  = 'TPArtist: Review track'

setDefaultRoles(AddTrack,      ('Manager', 'Owner'))
setDefaultRoles(EditTrack,     ('Manager', 'Owner'))
setDefaultRoles(ValidateTrack, ('Manager', 'Reviewer'))


###################
## Review Rights ##
###################

AddReview       = 'TPArtist: Add review'
EditReview      = 'TPArtist: Edit review'
ValidateReview  = 'TPArtist: Validate review'

setDefaultRoles(AddReview,      ('Manager', 'Owner', 'Member',))
setDefaultRoles(EditReview,     ('Manager', 'Owner', 'Member',))
setDefaultRoles(ValidateReview, ('Manager', 'Reviewer'))

#################
## CDDB Rights ##
#################
# This right allow to use the CDDB feeding option
# It allows a finer control on who can do what

CddbRequest       = 'TPArtist: Request CDDB'
setDefaultRoles(CddbRequest, ('Manager', 'Owner', 'Member',))
